# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit gcc eutils

IUSE=""

MY_P="${P//.}"

DESCRIPTION="Pseudo AI module for 'Nanika' and other desktop agents for ninix"
SRC_URI="mirror://sourceforge/${PN}/${MY_P}.lzh
	http://rinakusu.tripod.co.jp/${MY_P}-gcc3.patch
	http://rinakusu.tripod.co.jp/${MY_P}-py-module.patch"
HOMEPAGE="http://kawari.sourceforge.net/
	http://rinakusu.at.infoseek.co.jp/"

DEPEND="dev-lang/python
	app-arch/lha"
RDEPEND="|| ( ninix-aya-cvs ninix-aya ninix )"

KEYWORDS="x86 alpha ~sparc ~sparc64 ~ppc"
LICENSE="BSD"
SLOT="0"

S="${WORKDIR}/${MY_P}"

src_unpack(){
	cd ${WORKDIR}
	lha x ${DISTDIR}/${MY_P}.lzh

	cd ${S}
	if [ `gcc-major-version` == 3 ]
	then
		epatch ${DISTDIR}/${MY_P}-gcc3.patch || die
	fi
	xpatch ${DISTDIR}/${MY_P}-py-module.patch || die

	cd ${S}/build/src
	mv linux_pymod.mak Makefile
}

src_compile(){
	cd ${S}/build/src
	emake CFLAGS="${CFLAGS} -I. -fPIC" || die
}

src_install(){
	cd ${S}/build/mach/linux
	exeinto /usr/lib/ninix
	doexe _kawari8.so

	cd ${S}
	dodoc license.txt readme.1st

	for dir in document document/images document/banners
	do
	  (
		  cd ${S}/${dir}
		  docinto ${dir}
		  dohtml *
	  )
	done
}
